#ifndef PQREGEXPVALIDATOR
#define PQREGEXPVALIDATOR

#include <QRegExpValidator>
#include "classes/pqobject.h"

class PQRegExpValidator;
class PQRegExpValidator : public QRegExpValidator {
    Q_OBJECT
    PQ_OBJECT_EX(QRegExpValidator)

public:
    Q_INVOKABLE explicit PQRegExpValidator(QObject *parent = 0);
    Q_INVOKABLE explicit PQRegExpValidator(const QString &pattern, QObject *parent = 0);
    virtual ~PQRegExpValidator();
};

#endif // PQREGEXPVALIDATOR

